current: all

.SUFFIXES: .pd_linux

PDSOURCE?=/usr/local/src/pd/src
PD_INCLUDE = -I. -I$(PDSOURCE)

PD_LDFLAGS = -Wl,--export-dynamic -shared -fPIC
LIB = -lc -lm

#select either the DBG and OPT compiler flags below:

PD_CFLAGS = -DPD -DUNIX \
	-W -Wno-unused -Wno-parentheses -Wno-switch \
	-funroll-loops -fomit-frame-pointer -fno-strict-aliasing \
        -DDL_OPEN -fPIC

CFLAGS="-O6"

SYSTEM = $(shell uname -m)

# the sources

SRC = ambi_decode.c \
	ambi_decode2.c \
	ambi_decode3.c \
	ambi_decode_cube.c \
	ambi_encode.c \
	ambi_rot.c \
	iem_ambi.c

TARGET = iem_ambi.pd_linux


OBJ = $(SRC:.c=.o) 

#
#  ------------------ targets ------------------------------------
#

clean:
	-rm -f ../$(TARGET)
	-rm -f *.o

all: $(OBJ)
	@echo :: $(OBJ)
	$(CC) $(PD_LDFLAGS) $(LDFLAGS) -o $(TARGET) *.o $(LIB)
	mv $(TARGET) ..

$(OBJ) : %.o : %.c
	$(CC) $(PD_CFLAGS) $(CFLAGS) $(PD_INCLUDE) $(INCLUDE) -c -o $*.o $*.c




